Loading...
Searching...
No Matches
BALL::NMRStarFile::Sample Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Classes

class | Component

## Public Member Functions

| Sample ()
void | clear ()
std::ostream & | operator>> (std::ostream &s)

## Public Attributes

String | label
String | type
String | details
vector< Component > | components

## Detailed Description

Samples. This class includes all information of a NMRStar file sample.

Definition at line 158 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## Sample()

BALL::NMRStarFile::Sample::Sample | ( |  | ) |

## Member Function Documentation

## clear()

void BALL::NMRStarFile::Sample::clear | ( |  | ) |

## operator>>()

std::ostream & BALL::NMRStarFile::Sample::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## components

vector<Component> BALL::NMRStarFile::Sample::components

Definition at line 188 of file NMRStarFile.h.

## details

String BALL::NMRStarFile::Sample::details

Definition at line 187 of file NMRStarFile.h.

## label

String BALL::NMRStarFile::Sample::label

Definition at line 185 of file NMRStarFile.h.

## type

String BALL::NMRStarFile::Sample::type

Definition at line 186 of file NMRStarFile.h.